/*
 *    Copyright (C) 2001 Nikos Mavroyanopoulos
 *
 *    This library is free software; you can redistribute it and/or modify it 
 *    under the terms of the GNU Library General Public License as published 
 *    by the Free Software Foundation; either version 2 of the License, or 
 *    (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public
 *    License along with this library; if not, write to the
 *    Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *    Boston, MA 02111-1307, USA.
 */

/* 
 * The algorithm is due to Ron Rivest.  This code is based on code
 * written by Colin Plumb in 1993.
 */

/*
 * This code implements the MD4 message-digest algorithm.
 */

struct MD4Context
{   
	tds_uint32 buf[4];
	tds_uint32 bits[2];
	unsigned char in[64];
};  

typedef struct MD4Context MD4_CTX;

void MD4Init(struct MD4Context *ctx);
void MD4Update(struct MD4Context *ctx, unsigned char const *buf, unsigned len);
void MD4Final(struct MD4Context *ctx, unsigned char *digest);
